=== modified file 'configure.ac'
--- configure.ac	2009-05-14 06:01:02 +0000
+++ configure.ac	2009-05-20 16:45:18 +0000
@@ -346,7 +346,7 @@
 #--------------------------------------------------------------------
 
 AC_LANG_PUSH([C++])
-AC_LIB_HAVE_LINKFLAGS(protobuf,,
+AC_LIB_HAVE_LINKFLAGS(protobuf,pthread,
 [#include <google/protobuf/descriptor.h>
 ],
 [google::protobuf::FileDescriptor* file;],system)

=== modified file 'drizzled/message/binary_log.cc'
--- drizzled/message/binary_log.cc	2009-04-10 05:31:39 +0000
+++ drizzled/message/binary_log.cc	2009-05-20 16:45:18 +0000
@@ -18,10 +18,20 @@
   *end++= m_type;
 
   char cs[4] = { 0 };                           // !!! No checksum yet
+#if GOOGLE_PROTOBUF_VERSION >= 2001000
+  out->WriteRaw(buf, end - buf); // Length + Type
+  if (out->HadError()
+    || !m_message->SerializeToCodedStream(out)) // Event body
+    return false;
+  out->WriteRaw(cs, sizeof(cs)); // Checksum
+  if (out->HadError())
+    return false;
+#else
   if (!out->WriteRaw(buf, end - buf) ||         // Length + Type
       !m_message->SerializeToCodedStream(out) || // Event body
       !out->WriteRaw(cs, sizeof(cs)))           // Checksum
     return false;
+#endif
 
   return true;
 }

